Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iserve.ipc
Class MessageMemory

    java.lang.Object
      ix.iserve.ipc.MessageMemory

All Implemented Interfaces:
  java.lang.Iterable<MessageWrapper>

    public class MessageMemory

extends java.lang.Object
implements java.lang.Iterable<MessageWrapper>

Field Summary
`protected java.util.SortedMap<java.lang.Integer,MessageWrapper>` | `seqNoToMessageMap`

Constructor Summary
`MessageMemory()`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(java.lang.Object key)`
`java.lang.Integer` | `firstKey()`
`void` | `forget(MessageWrapper m)`
`void` | `forgetKey(java.lang.Integer key)`
`MessageWrapper` | `getFirstRemainingMessage()`
`MessageWrapper` | `getMessage(java.lang.Integer key)`
`boolean` | `isEmpty()`
`java.util.Iterator<MessageWrapper>` | `iterator()`
`java.lang.Integer` | `lastKey()`
`void` | `remember(MessageWrapper m)`
`void` | `renumberMessages(int delta)`
`int` | `size()`
`void` | `walkContents(Proc p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### seqNoToMessageMap

    protected final java.util.SortedMap<java.lang.Integer,MessageWrapper> seqNoToMessageMap

Constructor Detail

### MessageMemory

    public MessageMemory()

Method Detail

### size

    public int size()

### isEmpty

    public boolean isEmpty()

### clear

    public void clear()

### remember

    public void remember(MessageWrapper m)

### forget

    public void forget(MessageWrapper m)

### forgetKey

    public void forgetKey(java.lang.Integer key)

### containsKey

    public boolean containsKey(java.lang.Object key)

### getMessage

    public MessageWrapper getMessage(java.lang.Integer key)

### firstKey

    public java.lang.Integer firstKey()

### lastKey

    public java.lang.Integer lastKey()

### getFirstRemainingMessage

    public MessageWrapper getFirstRemainingMessage()

### renumberMessages

    public void renumberMessages(int delta)

### walkContents

    public void walkContents(Proc p)

### iterator

    public java.util.Iterator<MessageWrapper> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<MessageWrapper>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD